package com.lovecoding.day03;


/**
 * @author WanJl
 * @version 1.0
 * @title Demo01
 * @description 流程控制-分支结构---if...else
 * @create 2026/7/9
 */
public class Demo01 {
    public static void main(String[] args) {
        //单分支（只有 if）
/*        if(15>3){
            System.out.println("15大于3");
        }
        int age=5;
        if (age>18){
            System.out.println("成年了....");
        }*/
        //② 双分支（if...else）
        int age=5;
        if (age>18){
            System.out.println("成年了....");
        }else {
            System.out.println("未成年");
        }

        /*
        if (username=="zhangsan1213"&&password=="abc123456789"){
            System.out.println("用户登录成功");
        }else {
            System.out.println("用户登录失败");
        }*/

        //③ 嵌套 if
        String username="zhangsan123";
        String password="abc1234567189";
        //先判断用户名
        if (username=="zhangsan123"){//判断结果为true
            //再判断密码
            if (password=="abc123456789"){
                System.out.println("登录成功...");
            }else {
                System.out.println("密码错误，登录失败");
            }
        }else {//判断结果为false，就直接输出错误信息
            System.out.println("用户名错误，登录失败");
        }
        //----------另一种方式的用户名密码判断----

        if (username!="zhangsan123") {//判断结果为true
            System.out.println("用户名错误，登录失败");
        }else if(password=="abc123456789"){
            System.out.println("登录成功...");
        }else {
            System.out.println("密码错误，登录失败");
        }

    }

}
